using System;
using System.Data;
class Program
{
    static void Main()
    {
        string[] a = Console.ReadLine().Split(' ');
        int N = int.Parse(a[0]);
        int L = int.Parse(a[1]);
        string[] h = Console.ReadLine().Split(' ');
        int r = 0;
        int rez = 0;
        for (int i = 0; i < N; i++)
        {
            if (L >= int.Parse(h[i]))
            {
                r = 1;
                rez = i;
                break;
            }
        }
        if (r == 1)
            Console.WriteLine(rez + 1);
        else
            Console.WriteLine(-1);
    }
}